#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libwrap0 installation
#
# Creation   :  2017-12-20 holbru
# Last update:  $Id: postinstall-libwrap0.sh 48033 2017-12-20 15:09:13Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libwrap0

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' tcpd | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/sbin/safe_finger
    rm -f /usr/sbin/tcpd
    rm -f /usr/sbin/tcpdchk
    rm -f /usr/sbin/tcpdmatch
    rm -f /usr/sbin/try-from
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
